<script>
    import {read} from "../crud";
    import CarPicker from "../components/CarPicker.svelte";

    let selected;
    let order;

    export let params = {};

    const apiURL = 'http://localhost:8081/api/v1/orders/';

    async function loadData() {
        order = await read(apiURL, params.id);
        selected = order.car.id;
        return order;
    }

    function formatDate(utcDate) {
        return JSON.stringify(utcDate).slice(1,11);
    }

</script>
<h3>Order Details</h3>
{#await loadData() then order}
    <label for="startDate">Order Start Date</label>
    <input class="half" id="startDate" type="date" value={formatDate(order.startTime)}>
    <label for="startDate">Order Return Date</label>
    <input class="half" id="returnDate" type="date" value={formatDate(order.endTime)}>
    <CarPicker bind:selectedId={selected}/>
    {/await}
<button>Submit</button>